Bug 679205 - [abrt] exaile-0.3.2.0-2.fc14: engine_unified.py:253:_reset_crossfade_timer:AttributeError: 'NoneType' object has no attribute 'get_tag_raw'
Summary: [abrt] exaile-0.3.2.0-2.fc14: engine_unified.py:253:_reset_crossfade_timer:At...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 14
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3edd6f70
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-21 21:56 UTC by vintersorg
Modified: 2011-03-28 19:32 UTC (History)
1 user (show)

Fixed In Version: exaile-0.3.2.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-28 19:32:51 UTC


Attachments (Terms of Use)
File: backtrace (1009 bytes, text/plain)
2011-02-21 21:56 UTC, vintersorg
no flags Details

Description vintersorg 2011-02-21 21:56:02 UTC
abrt version: 1.1.14
architecture: i686
cmdline: /usr/bin/python /usr/lib/python2.7/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.7/site-packages/exaile/exaile.py
kernel: 2.6.35.11-83.fc14.i686
package: exaile-0.3.2.0-2.fc14
reason: engine_unified.py:253:_reset_crossfade_timer:AttributeError: 'NoneType' object has no attribute 'get_tag_raw'
release: Fedora release 14 (Laughlin)
time: 1298308019
uid: 500

backtrace
-----
engine_unified.py:253:_reset_crossfade_timer:AttributeError: 'NoneType' object has no attribute 'get_tag_raw'

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/exaile/xlgui/main.py", line 1468, in on_playpause_button_clicked
    self.player.toggle_pause()
  File "/usr/lib/python2.7/site-packages/exaile/xl/player/_base.py", line 131, in toggle_pause
    self.pause()
  File "/usr/lib/python2.7/site-packages/exaile/xl/common.py", line 105, in wrapper
    return func(self, *__args, **__kw)
  File "/usr/lib/python2.7/site-packages/exaile/xl/player/engine_unified.py", line 315, in pause
    self._reset_crossfade_timer()
  File "/usr/lib/python2.7/site-packages/exaile/xl/player/engine_unified.py", line 253, in _reset_crossfade_timer
    time = int( self.current.get_tag_raw('__length')*1000 - \
AttributeError: 'NoneType' object has no attribute 'get_tag_raw'

Local variables in innermost frame:
duration: 3000
self: <xl.player.engine_unified.UnifiedPlayer object at 0x99e3cec>

How to reproduce
-----
1.play the music
2.
3.

Comment 1 vintersorg 2011-02-21 21:56:04 UTC
Created attachment 480001 [details]
File: backtrace

Comment 2 Fedora Update System 2011-03-04 15:40:01 UTC
Package exaile-0.3.2.1-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-0.3.2.1-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-03-05 02:43:35 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14

Comment 4 Fedora Update System 2011-03-28 19:30:06 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.